package com.ruoyi.approvalFlow.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审批流任务明细用户对象 audit_items_users
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public class AuditItemsUsers extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long pid;

    /**
     * 单据编号
     */
    @Excel(name = "单据编号")
    private String billNo;

    /**
     * 活动号
     */
    @Excel(name = "活动号")
    private Long actId;

    /**
     * 审批人
     */
    @Excel(name = "审批人")
    private Long userId;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String auditStatus;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public Long getPid() {
        return pid;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setActId(Long actId) {
        this.actId = actId;
    }

    public Long getActId() {
        return actId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pid", getPid())
                .append("billNo", getBillNo())
                .append("actId", getActId())
                .append("userId", getUserId())
                .append("auditStatus", getAuditStatus())
                .toString();
    }
}
